netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
ea Struct Reference

`#include <ea.h>`

## Data Fields
uint32_t | ea_inited
const struct vol * | vol
int | dirfd
char * | filename
unsigned int | ea_count
struct ea_entry(* | ea_entries )[]
int | ea_fd
eaflags_t | ea_flags
size_t | ea_size
char * | ea_data

## Field Documentation

## ◆ dirfd

int ea::dirfd

for *at (cf openat) semantics, -1 means ignore

## ◆ ea_count

unsigned int ea::ea_count

number of EAs in ea_entries array

## ◆ ea_data

char* ea::ea_data

pointer to buffer into that we actually read the disc file into

## ◆ ea_entries

struct ea_entry(* ea::ea_entries)[]

malloced and realloced as needed by ea_count

## ◆ ea_fd

int ea::ea_fd

open fd for ea_data

## ◆ ea_flags

eaflags_t ea::ea_flags

flags

## ◆ ea_inited

uint32_t ea::ea_inited

needed for interfacing ea_open w. ea_close

## ◆ ea_size

size_t ea::ea_size

size of header file = size of ea_data buffer

## ◆ filename

char* ea::filename

name of file, needed by ea_close too

## ◆ vol

const struct vol* ea::vol

vol handle, ea_close needs it

The documentation for this struct was generated from the following file:

- ea.h